NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Drawings.ViewCopyTo3dBuilder Class Reference

Represents a NXOpen.Drawings.ViewCopyTo3dBuilder . More...

Inheritance diagram for NXOpen.Drawings.ViewCopyTo3dBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BoundingBoxOption { CurvesToCopy, EntireViews }
 The bounding box options More...
 
enum  DistanceFromViewPlaneOption { Automatic, Specify }
 The option to get the distance More...
 
enum  Option { Automatic, Specify }
 The pre-NX7. More...
 
enum  OutputOption { Sketches, SimpleCurves, SketchesSolid, PartsGroup }
 The output options More...
 
enum  Types { SelectedCurves, SelectedViews }
 The type of copy to 3d selections More...
 

Public Member Functions

unsafe void Commit (double offset, bool curves, bool sketches, int option)
 The copy of the selected view to modeling More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe
NXOpen.Drawings.ViewCopyTo3dBuilder.BoundingBoxOption 
BoundingBox [get, set]
 Returns or sets the type of bounding box More...
 
unsafe
NXOpen.Drawings.SelectDrawingViewList 
BoundingViews [get]
 Returns the select views in the placement group More...
 
unsafe bool CreateSketches [get, set]
 Returns or sets the flag indicating to create sketches in Modeling More...
 
unsafe NXOpen.SelectNXObjectList Curves [get]
 Returns the select curves for source group More...
 
unsafe string DestinationPart [get, set]
 Returns or sets the path to the destination part More...
 
unsafe
NXOpen.Drawings.ViewCopyTo3dBuilder.DistanceFromViewPlaneOption 
DistanceFromViewPlane [get, set]
 Returns or sets the option specifying the distance from the view plane More...
 
unsafe bool ExtrudeSolidBody [get, set]
 Returns or sets the flag that indicates whether to extrude solid More...
 
unsafe NXOpen.Expression Offset [get]
 Returns the expression of clearance More...
 
unsafe
NXOpen.Drawings.ViewCopyTo3dBuilder.OutputOption 
Output [get, set]
 Returns or sets the option of output in the setting group More...
 
unsafe bool ProcessSketchCurves [get, set]
 Returns or sets the flag indicating to process sketch curves More...
 
unsafe bool ProcessViewCurves [get, set]
 Returns or sets the flag indicating to process view curves More...
 
unsafe bool RepositionGeometry [get, set]
 Returns or sets the flag that indicates whether to automatically reposition geometry More...
 
unsafe
NXOpen.Drawings.ViewCopyTo3dBuilder.Types 
Type [get, set]
 Returns or sets the type of copy More...
 
unsafe
NXOpen.Drawings.SelectDrawingView 
View [get]
 Returns the selected view for previous single view selection More...
 
unsafe
NXOpen.Drawings.SelectDrawingViewList 
Views [get]
 Returns the selected views for multiple views selection More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Drawings.ViewCopyTo3dBuilder .

This class is used to copy the contents of a drawing view to modeling space

To create a new instance of this class, use NXOpen.Drawings.DraftingViewCollection.CreateCopyTo3dBuilder

Created in NX6.0.0

Member Enumeration Documentation

The bounding box options

Enumerator
CurvesToCopy 

curves to copy

EntireViews 

entire views

The option to get the distance

Enumerator
Automatic 

automatic distance calculation

Specify 

specify distance

The pre-NX7.

5 option

Enumerator
Automatic 

automatic

Specify 

specify

The output options

Enumerator
Sketches 

sketches

SimpleCurves 

simple curves

SketchesSolid 

sketches and solid body

PartsGroup 

component parts from groups

The type of copy to 3d selections

Enumerator
SelectedCurves 

selected curves

SelectedViews 

selected views

Member Function Documentation

unsafe void NXOpen.Drawings.ViewCopyTo3dBuilder.Commit ( double  offset,
bool  curves,
bool  sketches,
int  option 
)
inline

The copy of the selected view to modeling

Created in NX6.0.1

Deprecated in NX7.5.0. This method is no longer relevant and calls to this can be safely removed.

License requirements: nx_layout ("NX Layout")

Parameters
offsetoffset from origin
curvesprocess curves
sketchesprocess sketch curves
optionoption of automatic or specify

Property Documentation

unsafe NXOpen.Drawings.ViewCopyTo3dBuilder.BoundingBoxOption NXOpen.Drawings.ViewCopyTo3dBuilder.BoundingBox
getset

Returns or sets the type of bounding box

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.Drawings.SelectDrawingViewList NXOpen.Drawings.ViewCopyTo3dBuilder.BoundingViews
get

Returns the select views in the placement group

Created in NX7.5.0

License requirements: None.

unsafe bool NXOpen.Drawings.ViewCopyTo3dBuilder.CreateSketches
getset

Returns or sets the flag indicating to create sketches in Modeling

Created in NX7.5.0

Deprecated in NX8.0.0. This method is no longer relevant and calls to this can be safely removed.

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.SelectNXObjectList NXOpen.Drawings.ViewCopyTo3dBuilder.Curves
get

Returns the select curves for source group

Created in NX7.5.0

License requirements: None.

unsafe string NXOpen.Drawings.ViewCopyTo3dBuilder.DestinationPart
getset

Returns or sets the path to the destination part

Created in NX7.5.0

License requirements to get this property: nx_layout ("NX Layout")

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.Drawings.ViewCopyTo3dBuilder.DistanceFromViewPlaneOption NXOpen.Drawings.ViewCopyTo3dBuilder.DistanceFromViewPlane
getset

Returns or sets the option specifying the distance from the view plane

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe bool NXOpen.Drawings.ViewCopyTo3dBuilder.ExtrudeSolidBody
getset

Returns or sets the flag that indicates whether to extrude solid

Created in NX7.5.0

Deprecated in NX8.0.0. This method is no longer relevant and calls to this can be safely removed.

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.Expression NXOpen.Drawings.ViewCopyTo3dBuilder.Offset
get

Returns the expression of clearance

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Drawings.ViewCopyTo3dBuilder.OutputOption NXOpen.Drawings.ViewCopyTo3dBuilder.Output
getset

Returns or sets the option of output in the setting group

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe bool NXOpen.Drawings.ViewCopyTo3dBuilder.ProcessSketchCurves
getset

Returns or sets the flag indicating to process sketch curves

Created in NX7.5.0

Deprecated in NX8.0.0. This method is no longer relevant and calls to this can be safely removed.

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe bool NXOpen.Drawings.ViewCopyTo3dBuilder.ProcessViewCurves
getset

Returns or sets the flag indicating to process view curves

Created in NX7.5.0

Deprecated in NX8.0.0. This method is no longer relevant and calls to this can be safely removed.

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe bool NXOpen.Drawings.ViewCopyTo3dBuilder.RepositionGeometry
getset

Returns or sets the flag that indicates whether to automatically reposition geometry

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.Drawings.ViewCopyTo3dBuilder.Types NXOpen.Drawings.ViewCopyTo3dBuilder.Type
getset

Returns or sets the type of copy

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: nx_layout ("NX Layout")

unsafe NXOpen.Drawings.SelectDrawingView NXOpen.Drawings.ViewCopyTo3dBuilder.View
get

Returns the selected view for previous single view selection

Created in NX6.0.0

Deprecated in NX7.5.0. This method is no longer relevant and calls to this can be safely removed.

License requirements: nx_layout ("NX Layout")

unsafe NXOpen.Drawings.SelectDrawingViewList NXOpen.Drawings.ViewCopyTo3dBuilder.Views
get

Returns the selected views for multiple views selection

Created in NX6.0.1

License requirements: nx_layout ("NX Layout")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.